#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA634_A31E_A31M_X31J
extern void F9090_GRF1_15_GetBlitterTemporaryBitplane();
extern void F0133_VIDEO_BlitBoxFilledWithMaskedBitmap();
extern void F9079_GRF1_13_InvertBox();
extern void F1032_GRF1_12_HatchBox();
extern void F0131_VIDEO_FlipVertical();
extern void F0130_VIDEO_FlipHorizontal();
extern void F0129_VIDEO_BlitShrinkWithPaletteChanges();
extern void F9077_GRF1_08_FillBox();
extern void F9087_GRF1_07_Empty();
extern void F9086_GRF1_06_Blit();
extern void F0466_EXPAND_GraphicToBitmap();
extern void F9089_GRF1_04_GetBitmapMemorySize();
extern void F9092_GRF1_03_Expunge();

extern GRF1_FTL_LIBRARY* F9091_();

struct {
        void* Functions[15];
        GRF1_FTL_LIBRARY Data;
} G3247_s_GRF1Library = {
        { (void*)F9090_GRF1_15_GetBlitterTemporaryBitplane,     /* 15 -$3C */
          (void*)F0133_VIDEO_BlitBoxFilledWithMaskedBitmap,     /* 14 -$38 */
          (void*)F9079_GRF1_13_InvertBox,                       /* 13 -$34 */
          (void*)F1032_GRF1_12_HatchBox,                        /* 12 -$30 */
          (void*)F0131_VIDEO_FlipVertical,                      /* 11 -$2C */
          (void*)F0130_VIDEO_FlipHorizontal,                    /* 10 -$28 */
          (void*)F0129_VIDEO_BlitShrinkWithPaletteChanges,      /* 09 -$24 */
          (void*)F9077_GRF1_08_FillBox,                         /* 08 -$20 */
          (void*)F9087_GRF1_07_Empty,                           /* 07 -$1C */
          (void*)F9086_GRF1_06_Blit,                            /* 06 -$18 */
          (void*)F0466_EXPAND_GraphicToBitmap,                  /* 05 -$14 */
          (void*)F9089_GRF1_04_GetBitmapMemorySize,             /* 04 -$10 */
          (void*)F9092_GRF1_03_Expunge,                         /* 03 -$0C */
          NULL,                                                 /* 02 -$08 */
          NULL                                                  /* 01 -$04 */
} };

void main(P3089_l_)
long P3089_l_;
{
        G3247_s_GRF1Library.Data.FTLLibrary.FTLNode.Name = FTL_GRF1;
        G3247_s_GRF1Library.Data.FTLLibrary.Version = 2;
        G3247_s_GRF1Library.Data.FTLLibrary.Unused1 = 0;
        F9091_(P3089_l_, &G3247_s_GRF1Library.Data.FTLLibrary);
}
#endif
